Skip to main content
GET
/
api
/
system
/
metrics
Get observability config
curl --request GET \
  --url https://api-next.dealroom.co/api/system/metrics \
  --header 'Authorization: Bearer <token>'
{
  "observability": {
    "provider": "<string>",
    "enabled": true,
    "endpoint": "<string>",
    "serviceName": "<string>",
    "protocol": "<string>",
    "exportInterval": "<string>"
  },
  "instrumentation": {
    "automatic": [
      "<string>"
    ],
    "custom": [
      "<string>"
    ]
  },
  "metrics": {
    "automatic": [
      "<string>"
    ],
    "custom": [
      "<string>"
    ]
  },
  "docs": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth2 client-credentials flow against the Dealroom Auth0 tenant. Use the client_id / client_secret from a Programmatic API key. Tokens are valid for 24h — Swagger UI will reuse the same token across operations.

Response

Observability configuration

observability
object
required
instrumentation
object
required
metrics
object
required
docs
string
required